package com.quant.entity;

import java.sql.Date;
import java.sql.Timestamp;

public class MeetingRegist {
	private int id;
	private int meetingId;
	private String name;
	private String mobile;
	private String telphone;
	private String email;
	private String companyName;
	private String position;
	private String description;
	private Date pubTime;
	private int status;
	private String title;
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getMeetingId() {
		return meetingId;
	}
	public void setMeetingId(int meetingId) {
		this.meetingId = meetingId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getTelphone() {
		return telphone;
	}
	public void setTelphone(String telphone) {
		this.telphone = telphone;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getCompanyName() {
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getPosition() {
		return position;
	}
	public void setPosition(String position) {
		this.position = position;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Date getPubTime() {
		return pubTime;
	}
	public void setPubTime(Date pubTime) {
		this.pubTime = pubTime;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + id;
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		MeetingRegist other = (MeetingRegist) obj;
		if (id != other.id)
			return false;
		return true;
	}
	public MeetingRegist(int id, int meetingId, String name, String mobile,
			String telphone, String email, String companyName, String position,
			String description, Date pubTime, int status, String title) {
		super();
		this.id = id;
		this.meetingId = meetingId;
		this.name = name;
		this.mobile = mobile;
		this.telphone = telphone;
		this.email = email;
		this.companyName = companyName;
		this.position = position;
		this.description = description;
		this.pubTime = pubTime;
		this.status = status;
		this.title = title;
	}
	public MeetingRegist() {
		super();
		// TODO Auto-generated constructor stub
	}
	@Override
	public String toString() {
		return "MeetingRegist [id=" + id + ", meetingId=" + meetingId
				+ ", name=" + name + ", mobile=" + mobile + ", telphone="
				+ telphone + ", email=" + email + ", companyName="
				+ companyName + ", position=" + position + ", description="
				+ description + ", pubTime=" + pubTime + ", status=" + status
				+ ", title=" + title + "]";
	}
	

}
